//
//  SideBarController.h
//  HighWay
//
//  Created by SunLi on 16/6/30.
//  Copyright © 2016年 lb. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <UIKit/UIKit.h>

@protocol SideBarControllerDelegate <NSObject>

- (void)menuButtonClicked:(NSInteger)index;

@end

//
@interface SideBarController : NSObject
{
    UIView              *_backgroundMenuView;
    NSMutableArray      *_buttonList;
}

@property (nonatomic, retain) UIColor *menuColor;
@property (nonatomic) BOOL isOpen;

@property (nonatomic, retain) id<SideBarControllerDelegate> delegate;

- (SideBarController*)initWithImages:(NSArray*)buttonList;
/*
 * 在指定位置插入菜单视图
 */
- (void)insertMenuButtonOnView:(UIView*)view yLoc:(CGFloat)yloc height:(CGFloat)height;

//隐藏菜单
- (void)dismissMenu;
//显示菜单
- (void)showMenu;
@end
